//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include "root.h"

int main(int argc, char *argv[]) {
    Root* app;

    try {
        app = new Root(u"qrc:magpie/main.qml"_qs, argc, argv);
    } catch (const std::exception& exception) {
        std::cerr << "Couldn't start megpie: " << exception.what() << std::endl;
    }

    return 0;
}
